/* $RCSfile$ */
/* $Author$ */
/* $Date$ */
/* $Revision$ */

#include <stdio.h>
#include "hdfi.h"
#include "cris.h"

#include "crisGetData.h"
#include "crisGetData/unpackEventCycle_c.h"


struct ce_crisEvt *getEvents_c(uint32 Second1996)
{
   static struct L1CrisEventCycle *EventCycle = NULL;
   static struct ce_crisEvt *event = NULL;

   int nevent;
   int nevt;
  
   free(EventCycle);
   free(event);
   EventCycle = getEventCycleStruct_c(Second1996, 0);
   if (!(EventCycle->Second1996)) EventCycle->NumberEvents = 0;
   nevent = EventCycle->NumberEvents;
   event = (struct ce_crisEvt *) calloc(sizeof(struct ce_crisEvt),
                                        nevent+1);
   nevt = unpackEventCycle_c(EventCycle, event);
   if (nevt != nevent) 
      printf("%d : Number of invalid events encountered\n",
             nevent-nevt);
   return event;
}
