#include <stdio.h>
#include "hdfi.h"
#include "cris.h"
#include "crisGetData.h"
#include "crisSisGetUtilities.h"

struct BrowseCris *getGroupBrowseParams_c(uint32 secondsSince1996Start,
	            uint32 secondsSince1996Stop, int autoFreeMemoryAllocation) {
    static struct BrowseCris *pSaved = NULL;
    struct BrowseCris *p;

	/* this has no effect if pSaved == NULL */
    free(pSaved);

    p = (struct BrowseCris *) getStructs(secondsSince1996Start,
	                                secondsSince1996Stop, "BrowseCris");

    if (autoFreeMemoryAllocation) pSaved = p;
    else pSaved = NULL;

    return p;
}
