/* $RCSfile$ */
/* $Author$ */
/* $Date$ */
/* $Revision$ */

#include <sys/types.h>
#include "hdfi.h"
#include "cris.h"


void unpackHodoscopeData_c(u_char  *telemetry,
                           u_long  *index,
                struct ce_crisEvt  *event)

{
   u_long  byte;
   u_char  i;
   u_char  nblobs;
   u_long  value;

   nblobs = event->nblobs;
   byte = *index;
   for (i=0; i<nblobs; i++) {
      value = ( (((u_long) telemetry[byte]) << 16)  |
                (((u_long) telemetry[byte+1]) << 8) |
                ((u_long) telemetry[byte+2]) );
      event->hodo[i].x = (short) (value >> 14);
      event->hodo[i].y = (short) ((value >> 5) & 0x000001ff);
      event->hodo[i].I = value & 0x0000001f;
      byte += 3;
   }
   *index = byte;
}
