#define HEADER_BYTES  8 * sizeof(int)

#include "hdfi.h"

/* auxiliary subroutines used in most or all getSis/CrisData routines */

void getBeginEndSecsOfStructPriorTo(uint32 *startAndStop,
                uint32 secondsSince1996, char *dataFilePath, char *structName);
void getDataFileSuffixFromStructName(char *suffixBuffer, char *structName);
void *getDaysStructs(int day1996, char *structName);
uint32 *getDaysTimeStamps(int day1996, char *structName);
int getFilesStructCount(char *dataFilePath, int structSize, int hasHeader);
char getInstrumentIDFromStructName(char *structName);
uint32 getStopTimeStamp(void *pStruct, char *structName);
void *getStruct(uint32 secondsSince1996, char *structName);
int getStructSizeFromName(char *structName);
void *getStructs(uint32 secondsSince1996Start, uint32 secondsSince1996Stop,
							char *structName);
void *getSubsetOfDaysStructs(char *path, char *structName,
				uint32 getStampsAfter, uint32 getStampsUpTo);
uint32 getTimeStamp(void *pStruct, char *structName);
uint32 getWorkingStartTime(uint32 secondsSince1996, char *structName);

