#include <stdio.h>
#include "hdfi.h"
#include "sis.h"
#include "sisGetData.h"
#include "crisSisGetUtilities.h"

struct BrowseSis *getBrowseParamStruct_s(uint32 secondsSince1996,
						int autoFreeMemoryFlag) {
    static struct BrowseSis *pSaved = NULL;
    struct BrowseSis *p;

	/* this has no effect if pSaved == NULL */
    if (autoFreeMemoryFlag) free(pSaved);

    p = (struct BrowseSis *) getStruct(secondsSince1996, "BrowseSis");

    if (autoFreeMemoryFlag) pSaved = p;
    else pSaved = NULL;

    return p;
}
