#include <stdio.h>
#include "hdfi.h"
#include "sis.h"
#include "sisGetData.h"
#include "crisSisGetUtilities.h"

struct L1SisDiagnosticEvent *getGroupDiagnosticEvents_s(
		uint32 secondsSince1996Start, uint32 secondsSince1996Stop,
						int autoFreeMemoryFlag) {
    static struct L1SisDiagnosticEvent *pSaved = NULL;
    struct L1SisDiagnosticEvent *p;

	/* this has no effect if pSaved == NULL */
    if (autoFreeMemoryFlag) free(pSaved);

    p = (struct L1SisDiagnosticEvent *) getStructs(secondsSince1996Start,
				secondsSince1996Stop, "L1SisDiagnosticEvent");

    if (autoFreeMemoryFlag) pSaved = p;
    else pSaved = NULL;

    return p;
}
