#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <errno.h>

int fileExists(char *path) {
    struct stat fileStats;
    int fileExists = 0;

    if (stat(path, &fileStats) == -1) {
	if (errno == ENOENT) fileExists = 0;
	else {
	    fprintf(stderr, "stat for %s failed.  Exiting.\n\n", path);
	    printf("errno = %d\n", errno);
	    exit(0);
	}
    }
    else fileExists = 1;

    return fileExists;
}
