#include <stdio.h>
#include "hdfi.h"
#include "cris.h"
#include "crisGetData.h"
#include "crisSisGetUtilities.h"

struct BrowseCris *getBrowseParamStruct_c(uint32 secondsSince1996,
						int autoFreeMemoryAllocation) {
    static struct BrowseCris *pSaved = NULL;
    struct BrowseCris *p;

	/* this has no effect if pSaved == NULL */
    free(pSaved);

    p = (struct BrowseCris *) getStruct(secondsSince1996, "BrowseCris");

    if (autoFreeMemoryAllocation) pSaved = p;
    else pSaved = NULL;

    return p;
}
