#include <time.h>
#include "hdfi.h"
#include "crisSisGetUtilities.h"
#include "utilities.h"

void *getDaysStructs(int day1996, char *structName) {
    char dataFilePath[256];
    struct tm *pTimeStruct;
    char instrumentID;
    char dataFileSuffix[10];
    uint32 getStampsAfter, getStampsUpTo;

    pTimeStruct = getDateFromDay1996(day1996);
    instrumentID = getInstrumentIDFromStructName(structName);
    getDataFileSuffixFromStructName(dataFileSuffix, structName);

    generateDataFilePath(dataFilePath, pTimeStruct, instrumentID,
							dataFileSuffix);

	/* uses getSubsetOfDaysStructs with absurdly exagerated start */
	/* and stop times (i.e., will get all structs in data file) */

    getStampsAfter = 0;
    getStampsUpTo = 50 * 365 * 24 * 3600;	/* good til 2046 */

    return getSubsetOfDaysStructs(dataFilePath, structName,
					getStampsAfter, getStampsUpTo);
}
