#include <stdio.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/uio.h>
#include <unistd.h>

int readFromFile(int fd, char *buffer, int bytesToRead) {
    int bytesRead;

    bytesRead = read(fd, buffer, bytesToRead);
    if (bytesRead != bytesToRead) {
	fprintf(stderr,
	    "Read error: Tried reading %u bytes, read %u\n\nExiting.\n\n",
							bytesToRead, bytesRead);
	exit(1);
    }
    return bytesRead;
}
